MailcrateDocs
Webhooks

Create a webhook endpoint

POST
/public/webhook/endpoints

The response carries the endpoint's signing secret. Store it: it is how you verify that a delivery came from Mailcrate.

Requires the webhook:write scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Request Body

application/json
  1. body
name*string
url*string
Formaturi
enabled?boolean
subscribedEvents*array<>
description?string

Response Body

application/json
  1. response
id*string
name*string
url*string
secret*string
enabled*boolean
subscribedEvents*array<>
description*string|null
created*string
Formatdate-time
updated*string
Formatdate-time
Example Request
curl -X POST 'https://api.mailcrate.io/public/webhook/endpoints' \  -H 'Authorization: Api-Key <api_key>' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "url": "http://example.com",  "subscribedEvents": [    "campaign.deleted"  ]}'
Example Response
{  "id": "string",  "name": "string",  "url": "string",  "secret": "string",  "enabled": true,  "subscribedEvents": [    "campaign.deleted"  ],  "description": "string",  "created": "2019-08-24T14:15:22Z",  "updated": "2019-08-24T14:15:22Z"}